summaryrefslogtreecommitdiffstats
path: root/x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh
diff options
context:
space:
mode:
Diffstat (limited to 'x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh')
-rw-r--r--x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh b/x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh
new file mode 100644
index 000000000..bc7e26a01
--- /dev/null
+++ b/x11-themes/gnome-themes3/files/patch-common_mkiconlinks.sh
@@ -0,0 +1,11 @@
+--- common/mkiconlinks.sh.orig 2008-09-04 17:15:42.000000000 -0500
++++ common/mkiconlinks.sh 2008-09-04 17:16:31.000000000 -0500
+@@ -16,7 +16,7 @@
+ while [ ! -z "$NEXTLINE" ] ; do
+
+ # Skip lines beginning with '#'
+- if [ ! "${NEXTLINE:0:1}" == '#' ]; then
++ if ! echo ${NEXTLINE} | grep -q "^#" ; then
+ #Extract first field, minus its trailing colon
+ ORIG_FILE=`echo $NEXTLINE | awk '/:/{print $1}' | sed -e 's/://'`
+